nischgrp(1)

NAME
nischgrp - change the group owner of a NIS+ object

SYNOPSIS
nischgrp [ -ALPf ] group name...

DESCRIPTION
nischgrp changes the group owner of the NIS+ objects or entries specified by name to the specified NIS+ group. Entries are specified using indexed names (see nismatch(1)). If group is not a fully qualified NIS+ group name, it will be resolved using the directory search path (see nisdefaults(1)).

OPTIONS

-A  Modify all entries in all tables in the concatenation path that match the search criterion specified in name. This option implies the -P switch.

-L  Follow links and change the group owner of the linked object or entries rather than the group owner of the link itself.

-P  Follow the concatenation path within a named table. This option only makes sense when either name is an indexed name or the -L switch is also specified and the named object is a link pointing to entries.

-f  Force the operation and fail silently if it does not succeed.

EXAMPLES

The following example show how to change the group owner of an object.

    example% nischgrp newgroup.remote.domain. object

This example shows how to change the group owner for a password entry.

    example% nischgrp www-admins '[uid=1002],passwd.org_dir'

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ name is not fully qualified, each directory specified will be searched until the object is found (see nisdefaults(1)).

EXIT CODES
nischgrp returns 0 on success and 1 on failure.

SEE ALSO
nischmod(1), nischown(1), nisdefaults(1), nisgrpadm(1)

AUTHOR
This version of the nischgrp command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.